### Method

# Camel Service get_provider

#### Declaration [src]

    CamelProvider*
    camel_service_get_provider (
      CamelService* service
    )

#### Description [src]

Gets the `CamelProvider` associated with the service.

Gets property | `Camel.Service:provider`

#### Return value

Type: `CamelProvider`

The `CamelProvider`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.